Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

SEC-2922: Spring Security Core JAR Missing Impl-Version in Mainfest #3134

Closed
spring-projects-issues opened this issue Mar 26, 2015 · 2 comments
Assignees
Labels
in: core type: bug type: jira
Milestone

Comments

@spring-projects-issues
Copy link

spring-projects-issues commented Mar 26, 2015

Andrew Landsverk (Migrated from SEC-2922) said:

I just updated our Maven build to Spring Framework 4.1.6 and Spring Security 4.0.0 and the JAR for Spring Security Core didn't have the Implementation-Version in it.

This was all it contained:
Manifest-Version: 1.0

This causes SpringSecurityCoreVersion to return null as the version.

@spring-projects-issues
Copy link
Author

spring-projects-issues commented Apr 10, 2015

Alex Panchenko said:

In logs:

12:35:04 [INFO] SpringSecurityCoreVersion - You are running with Spring Security Core null

@spring-projects-issues
Copy link
Author

spring-projects-issues commented Apr 20, 2015

Rob Winch said:

Thanks for the report. This is now fixed in master

@spring-projects-issues spring-projects-issues added in: core Closed type: bug type: jira labels Feb 5, 2016
@spring-projects-issues spring-projects-issues added this to the 4.0.1 milestone Feb 5, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
in: core type: bug type: jira
Projects
None yet
Development

No branches or pull requests

2 participants